# Created by pyp2rpm-3.3.2
%global pypi_name intersphinx-registry
%global srcname intersphinx_registry

%bcond_with tests

Name:           python-%{pypi_name}
Version:        0.2501.23
Release:        %mkrel 3
Summary:        Convenient utilities and data to write a sphinx config file
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/intersphinx-registry/
Source0:        %{pypi_source %{srcname}}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description
A simple utility package that provide default inter sphinx mapping
for a large chunk of the python ecosystem.
This package provides convenient utilities and data to write a
sphinx config file.

%package -n     python3-%{pypi_name}
Summary:        Convenient utilities and data to write a sphinx config file
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}


%description -n python3-%{pypi_name}
A simple utility package that provide default inter sphinx mapping
for a large chunk of the python ecosystem.
This package provides convenient utilities and data to write a
sphinx config file.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.2501.23-3.mga10
+ Revision: 2242077
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 daviddavid <daviddavid> 0.2501.23-2.mga10
+ Revision: 2159561
- rebuild for python 3.13

* Mon Mar 03 2025 daviddavid <daviddavid> 0.2501.23-1.mga10
+ Revision: 2159559
- initial package python-intersphinx-registry

